Description

--content-view-filter-id filtering does not work for date filters, only ID filters. We should add somewhere in the docs that the

--content-view-filter-id flag only works for ID-type filters. The goal is to update the in-product docs (API, Hammer CLI help text) with

this information.

This is paired with #37401. This card is for the necessary documentation API description changes.

Related issues:

Copied to Katello - Bug #37401: --content-view-filter-id only works for ID-ty... New

Associated revisions

Revision aa14f84e - 05/06/2024 06:13 PM - Aneta Šteflová

Fixes #37394 - content_view_filter_id only works for ID-type filters

History

#1 - 05/01/2024 05:43 PM - Quinn James

- Category set to Documentation

- Target version set to Katello Next

- Triaged changed from No to Yes

For filtering errata, we can filter based on what should be available in the content view filter. The API docs and hammer help text should be updated to

show we do not support date filters.

#2 - 05/01/2024 05:45 PM - Quinn James

- Copied to Bug #37401: --content-view-filter-id only works for ID-type filters added

#3 - 05/01/2024 05:45 PM - Quinn James

- Description updated

#4 - 05/03/2024 01:10 PM - Quinn James

- Description updated

- Category changed from Documentation to API

#5 - 05/06/2024 12:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10985 added

#6 - 05/06/2024 06:13 PM - The Foreman Bot

- Fixed in Releases Katello 4.13.0 added
#7 - 05/06/2024 07:00 PM - Aneta Šteflová

- Status changed from Ready For Testing to Closed

Applied in changeset katello|aa14f84e03fe5d10ab8863fd8e9212102eb0c711.
